Name:           scim-hangul
Version:        0.2.0
Release:        6%{?dist}

License:        GPL
URL:            http://www.scim-im.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  scim-devel >= 1.2.0
Source0:        http://prdownloads.sourceforge.net/scim/%{name}-%{version}.tar.gz
Patch0:		scim-hangul-0.2.0-ignore-invisible-char.patch


Summary:        Hangul Input Method Engine for SCIM
Group:          System Environment/Libraries
Requires:	scim
%description
Scim-hangul is a SCIM IMEngine module for korean(hangul) input.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .invisible-char


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

rm -f $RPM_BUILD_ROOT//usr/lib/scim-1.0/IMEngine/hangul.{a,la}
rm -f $RPM_BUILD_ROOT//usr/lib/scim-1.0/SetupUI/hangul-imengine-setup.{a,la}

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README ChangeLog
%{_libdir}/scim-1.0/IMEngine/hangul.*
%{_libdir}/scim-1.0/SetupUI/hangul-imengine-setup.*
%{_datadir}/scim/icons/scim-hangul.png


%changelog
* Fri Oct  7 2005 Akira TAGOH <tagoh@redhat.com> - 0.2.0-6
- added Requires: scim.

* Fri Sep  2 2005 Akira TAGOH <tagoh@redhat.com> - 0.2.0-5.2
- scim-hangul-0.2.0-ignore-invisible-char.patch: backported from Core to fix
  the problem with 3bul Yetgeul.
- correct Release. it has to be greater than the previous Release.

* Wed Aug 24 2005 Ryo Dairiki <ryo-dairiki@mbm.nifty.com> - 0.2.0-5.1
- Minor fixes on spec file

* Tue Aug 23 2005 Akira TAGOH <tagoh@redhat.com> - 0.2.0-5
- Imported into Extras.

* Tue Aug 16 2005 Akira TAGOH <tagoh@redhat.com> - 0.2.0-4.fc5
- Rebuild.

* Fri Aug  5 2005 Warren Togami <wtogami@redhat.com> - 0.2.0-3
- minor spec cleanup

* Thu Aug  4 2005 Akira TAGOH <tagoh@redhat.com> - 0.2.0-2
- Import into Core.
- clean up the spec.

* Sun Jun 13 2004 James Su <suzhe@tsinghua.org.cn>
- first release of scim-uim.

